HTMLEditorKit.ParserCallback (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.ParserCallback

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLEditorKit.ParserCallback

Direct Known Subclasses:
  HTMLDocument.HTMLReader

Enclosing class:
  HTMLEditorKit

public static class HTMLEditorKit.ParserCallback
extends Object

The result of parsing drives these callback methods. The open and close actions should be balanced. The `flush` method will be the last method called, to give the receiver a chance to flush any pending data into the document.

Refer to DocumentParser, the default parser used, for further information on the contents of the AttributeSets, the positions, and other info.

See Also:
  `DocumentParser`

Field Summary
`static Object` | `IMPLIED` This is passed as an attribute in the attributeset to indicate the element is implied eg, the string '<>foo<\t>' contains an implied html element and an implied body element.

Constructor Summary
`HTMLEditorKit.ParserCallback()`

Method Summary
`void` | `flush()`
`void` | `handleComment(char[] data, int pos)`
`void` | `handleEndOfLineString(String eol)` This is invoked after the stream has been parsed, but before `flush`.
`void` | `handleEndTag(HTML.Tag t, int pos)`
`void` | `handleError(String errorMsg, int pos)`
`void` | `handleSimpleTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` | `handleStartTag(HTML.Tag t, MutableAttributeSet a, int pos)`
`void` | `handleText(char[] data, int pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPLIED

    public static final Object IMPLIED

  This is passed as an attribute in the attributeset to indicate the element is implied eg, the string '<>foo<\t>' contains an implied html element and an implied body element.

  Since:
    1.3

Constructor Detail

### HTMLEditorKit.ParserCallback

    public HTMLEditorKit.ParserCallback()

Method Detail

### flush

    public void flush()
               throws BadLocationException

    `BadLocationException`

### handleText

    public void handleText(char[] data,
                           int pos)

### handleComment

    public void handleComment(char[] data,
                              int pos)

### handleStartTag

    public void handleStartTag(HTML.Tag t,
                               MutableAttributeSet a,
                               int pos)

### handleEndTag

    public void handleEndTag(HTML.Tag t,
                             int pos)

### handleSimpleTag

    public void handleSimpleTag(HTML.Tag t,
                                MutableAttributeSet a,
                                int pos)

### handleError

    public void handleError(String errorMsg,
                            int pos)

### handleEndOfLineString

    public void handleEndOfLineString(String eol)

  This is invoked after the stream has been parsed, but before `flush`. `eol` will be one of \n, \r or \r\n, which ever is encountered the most in parsing the stream.

  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.